gnutls_record_get_max_send_size(3)

NAME
gnutls_record_get_max_send_size - API function

SYNOPSIS
#include <gnutls/gnutls.h>

size_t gnutls_record_get_max_send_size(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Get the maximum plaintext send size. This maybe negotiated, or user specified.

RETURNS
The maximum plaintext send size.

SINCE
3.8.11

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/